buffer_peek(3)

NAME
buffer_peek - return pointer to string in buffer

SYNTAX
#include <libowfat/buffer.h>

char* buffer_peek(buffer* b);

DESCRIPTION
buffer_peek returns a pointer to the first byte of the string in the buffer.

EXAMPLE
buffer_feed, buffer_peek and buffer_seek can be used for efficient reading loops, nearly the same speed as calling op directly:

  for (;;) {
    r = buffer_feed(&b);
    if (r <= 0) return r;
    x = buffer_peek(&b);
    dosomething(x,r);
    buffer_seek(&b,r);
  }

SEE ALSO
buffer_init(3), buffer_feed(3), buffer_get(3), buffer_seek(3), buffer(3)